[arch-commits] Commit in progsreiserfs/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 02:24:16 EDT 2009


    Date: Friday, April 17, 2009 @ 02:24:15
  Author: eric
Revision: 35789

Merged revisions 356,35788 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/progsreiserfs/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r35788 | eric | 2009-04-17 02:24:00 -0400 (Fri, 17 Apr 2009) | 2 lines
  
  upgpkg: progsreiserfs 0.3.0.5-4
      Added license, FHS man pages
........

Modified:
  progsreiserfs/repos/extra-x86_64/	(properties)
  progsreiserfs/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   24 +++++++++++-------------
 1 file changed, 11 insertions(+), 13 deletions(-)


Property changes on: progsreiserfs/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /progsreiserfs/trunk:1
   + /progsreiserfs/trunk:1-35788

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-17 06:24:00 UTC (rev 35788)
+++ extra-x86_64/PKGBUILD	2009-04-17 06:24:15 UTC (rev 35789)
@@ -3,26 +3,24 @@
 
 pkgname=progsreiserfs
 pkgver=0.3.0.5
-pkgrel=3
-depends=('e2fsprogs')
+pkgrel=4
 pkgdesc="library for accessing and manipulating reiserfs partitions"
 arch=(i686 x86_64)
+url="http://www.namesys.com"
+license=('GPL')
+depends=('e2fsprogs')
+options=('!libtool')
 source=(#ftp://ftp.namesys.com/pub/libreiserfs/$pkgname-$pkgver.tar.gz
 	ftp://ftp.archlinux.org/other/progsreiserfs/$pkgname-$pkgver.tar.gz
 	)
-url="http://www.namesys.com"
 md5sums=('d822579bbd4a29a1be5e4490869d9bee')
 
 build()        {
-        cd $startdir/src/$pkgname-$pkgver
-        libtoolize -f
-        aclocal
-        ./configure --prefix=/usr
+        cd $srcdir/$pkgname-$pkgver
+        ./configure --prefix=/usr --mandir=/usr/share/man || return 1
         make || return 1
-        make DESTDIR=$startdir/pkg/ install
-	rm $startdir/pkg/usr/share/man/man8/mkfs.reiserfs.8
-        rm $startdir/pkg/usr/share/man/man8/resizefs.reiserfs.8
-        rm $startdir/pkg/usr/share/man/man8/tunefs.reiserfs.8
-	##libtoolslay
-	find $startdir/pkg -name '*.la' -exec rm {} \;
+        make DESTDIR=$pkgdir install || return 1
+	rm $pkgdir/usr/share/man/man8/mkfs.reiserfs.8
+        rm $pkgdir/usr/share/man/man8/resizefs.reiserfs.8
+        rm $pkgdir/usr/share/man/man8/tunefs.reiserfs.8
 }



More information about the arch-commits mailing list